<ui:composition template="templateMenu.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui2="http://java.sun.com/jsf/facelets"
>

	<ui:define name="title">
		<h:outputText value="#{msg['pages.mostraEquipes.title']}" />
	</ui:define>
	
	<ui:define name="principal">
		<p:link outcome="buscaUsuario.xhtml" value="#{msg['pages.mostraEquipes.back']}"/>
		<h1><p:outputLabel value="#{msg['pages.mostraEquipes.title']}"/></h1>
		<h:form id="formMostraEquipes">
		  <p:dataTable  var="aux"
		  				value="#{auxiliarManagedBeans.listaAux}"
		  				id="tabelaEquipe">
			
			<p:column headerText="#{msg['pages.cadastraEquipe.nome']}">
				<p:outputLabel value="São Paulo"/>
			</p:column>
			
			<p:column headerText="#{msg['pages.mostraEquipes.categoria']}">
				<p:outputLabel value="Maiores de 40"/>
			</p:column>
			
			<p:column headerText="#{msg['pages.cadastraInscrito.suspensoJogos']}">
				<p:outputLabel value="false"/>
			</p:column>
			
			<p:column headerText="#{msg['pages.cadastraInscricao.pagamento']}">
				<p:outputLabel value="true"/>
			</p:column>
			
			<p:column headerText="#{msg['pages.cadastraInscricao.validada']}">
				<p:outputLabel value="true"/>
			</p:column>
			
			<p:column headerText="#{msg['pages.mostraEquipes.elenco']}">
				<p:commandButton type="button" icon="ui-icon-search" onclick="PF('dlg1').show();"/>
			</p:column>
			
			<p:column headerText="#{msg['pages.mostraEquipes.partidas']}">
				<p:commandButton type="button" icon="ui-icon-search" onclick="PF('dlg2').show();"/>
			</p:column>
			
			<p:column style="width:70px" headerText="#{msg['pages.comuns.menuLateral.options']}">
					
					<p:rowEditor />
					
					<p:commandLink id="remover" styleClass="ui-icon ui-icon-trash"
						style="text-align:center"
						actionListener="#{EquipeManagedBean.remover(aux)}"
						update="formMostraEquipes" />
	  		</p:column>
		  </p:dataTable>
		</h:form>
		
		<p:dialog header="#{msg['pages.mostraEquipes.elenco']}" widgetVar="dlg1" minHeight="40">
			<p:dataTable var="aux"
						 value="#{auxiliarManagedBeans.listaAux}"
						 id="tabelaElenco">
						 
				<p:column headerText="#{msg['pages.cadastraInscrito.tipo']}">
					<p:outputLabel value="Jogador"/>
				</p:column>
				
				<p:column headerText="#{msg['pages.cadastraInscrito.usuario']}">
					<p:outputLabel value="Diogo"/>
				</p:column>
				
				<p:column style="width:70px" headerText="#{msg['pages.comuns.menuLateral.options']}">
					
					<p:rowEditor />
					
					<p:commandLink id="remover" styleClass="ui-icon ui-icon-trash"
						style="text-align:center"
						actionListener="#{InscritoManagedBean.remover(aux)}"
						update="tabelaElenco" />
	  			</p:column>
			</p:dataTable>
		</p:dialog>
		
		<p:dialog header="#{msg['pages.mostraEquipes.partidas']}" widgetVar="dlg2" minHeight="40">
			<p:dataTable var="aux"
						 value="#{auxiliarManagedBeans.listaAux}"
						 id="tabelaPartida">
						 
				<p:column headerText="#{msg['pages.cadastraPartida.numero']}">
					<p:outputLabel value="1325"/>
				</p:column>
				
				<p:column headerText="#{msg['pages.cadastraPartida.equipeMandante']}">
					<p:outputLabel value="São Paulo"/>
				</p:column>
				
				<p:column headerText="#{msg['pages.cadastraPartida.equipeVisitante']}">
					<p:outputLabel value="Corinthians"/>
				</p:column>
				
				<p:column headerText="#{msg['pages.cadastraPartida.data']}">
					<p:outputLabel value="29/04/2018"/>
				</p:column>
				
				<p:column headerText="#{msg['pages.cadastraPartida.local']}">
					<p:outputLabel value="Rua 21"/>
				</p:column>
				
				<p:column style="width:70px" headerText="#{msg['pages.comuns.menuLateral.options']}">
					
					<p:rowEditor />
					
					<p:commandLink id="remover" styleClass="ui-icon ui-icon-trash"
						style="text-align:center"
						actionListener="#{PartidaManagedBean.remover(aux)}"
						update="tabelaPartida" />
	  			</p:column>
			</p:dataTable>
		</p:dialog>
	</ui:define>
</ui:composition>